summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-irc/irssi-xmpp
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-irc/irssi-xmpp')
-rw-r--r--net-irc/irssi-xmpp/Manifest1
-rw-r--r--net-irc/irssi-xmpp/irssi-xmpp-0.52.ebuild36
-rw-r--r--net-irc/irssi-xmpp/metadata.xml7
3 files changed, 44 insertions, 0 deletions
diff --git a/net-irc/irssi-xmpp/Manifest b/net-irc/irssi-xmpp/Manifest
new file mode 100644
index 000000000000..8005a5234640
--- /dev/null
+++ b/net-irc/irssi-xmpp/Manifest
@@ -0,0 +1 @@
+DIST irssi-xmpp-0.52.tar.gz 68105 SHA256 c63975e0562e7ec6a1b68cb607829b3933ec822aa4a844c3d6dccf16f110dbdc SHA512 27f7b877d02e0812b59e9f23ee12e58b842e3923ab5f0aa8cdf874dc9b30d9d22dbae9ef848ee5ffe2dcb667a0344f960125a3ffc072ce065e1fdf714eb98b27 WHIRLPOOL d6b760de57542a6d3e2fa8e167d2c21700f59bd9c64252cc6448dcebf935507adc9ef5dc8f10874c620cfd1c447871a5ac5a906921a3e9b532be9f91e54f64b7
diff --git a/net-irc/irssi-xmpp/irssi-xmpp-0.52.ebuild b/net-irc/irssi-xmpp/irssi-xmpp-0.52.ebuild
new file mode 100644
index 000000000000..31574ac0c7a8
--- /dev/null
+++ b/net-irc/irssi-xmpp/irssi-xmpp-0.52.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit toolchain-funcs multilib
+
+DESCRIPTION="An irssi plugin providing Jabber/XMPP support"
+HOMEPAGE="http://cybione.org/~irssi-xmpp/"
+SRC_URI="http://cybione.org/~${PN}/files/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+DEPEND=">=net-irc/irssi-0.8.13
+ >=net-libs/loudmouth-1.4.0[debug]"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -e "s/{MAKE} doc-install/{MAKE}/" \
+ -i Makefile || die #322355
+ sed -e "/^CFLAGS\|LDFLAGS/ s/=/+=/" \
+ -i config.mk || die
+}
+
+src_compile() {
+ emake PREFIX=/usr CC="$(tc-getCC)"
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX=/usr IRSSI_LIB=/usr/$(get_libdir)/irssi install
+ dodoc README NEWS TODO docs/*
+}
diff --git a/net-irc/irssi-xmpp/metadata.xml b/net-irc/irssi-xmpp/metadata.xml
new file mode 100644
index 000000000000..3d31a697ce11
--- /dev/null
+++ b/net-irc/irssi-xmpp/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>maintainer-needed@gentoo.org</email>
+ </maintainer>
+</pkgmetadata>